import { ConfigPreset } from './ConfigService';
import * as Docker from 'dockerode';
export declare class BootstrapUtils {
    private static presetInfoLogged;
    private static pulledImages;
    static deleteFolderRecursive(folder: string): void;
    static showBanner(): void;
    static pullImage(docker: Docker, image: string): Promise<void>;
    static loadPresetData(root: string, preset: string, assembly: string | undefined, customPresetFile: string | undefined): ConfigPreset;
    static loadExistingPresetData(target: string): ConfigPreset;
    static toAmount(renderedText: string | number): string;
    static toHex(renderedText: string): string;
    static removeUndefined(obj: any): any;
    static generateConfiguration(templateContext: any, copyFrom: string, copyTo: string): Promise<void>;
    static mkdir(path: string): Promise<void>;
    static writeYaml(path: string, object: any): Promise<void>;
    static writeTextFile(path: string, text: string): Promise<void>;
    static dockerUserId: string;
    static getDockerUserGroup(): Promise<string>;
}
